Ergebnis 1 bis 3 von 3
  1. #1
    Haxy123 ist offline Jungspund
    registriert
    12-03-2006
    Beiträge
    22

    google-trends-api npm

    Hallo,

    ich habe das npm Package bei mir eingebunden und bin nach Anleitung vorgegangen: https://www.npmjs.com/package/google-trends-api

    Ich bekomme nun den Fehler: "ReferenceError: require is not defined". Ich habe versucht es mit requirejs einzubinden aber ohne Erfolg - die gleiche Fehlermeldung ;-(

    Warum wird ein npm Package angeboten, welches nicht funktioniert?

    Danke
    Frank

  2. #2
    Avatar von Dormilich
    Dormilich ist offline Kaiser
    registriert
    15-01-2010
    Beiträge
    1.311

    AW: google-trends-api npm

    Zitat Zitat von Haxy123 Beitrag anzeigen
    Warum wird ein npm Package angeboten, welches nicht funktioniert?
    Weil es funktioniert. Denn require() ist eine Kernfunktion von Node.js, also arbeitest du im falschen Kontext. sh. https://nodejs.org/api/globals.html#globals_require

  3. #3
    tsseh ist offline Foren-Gott
    registriert
    19-05-2008
    Beiträge
    5.667

    AW: google-trends-api npm

    Zitat Zitat von Haxy123 Beitrag anzeigen
    Ich bekomme nun den Fehler: "ReferenceError: require is not defined".
    dann ist deine nodejs installation kaputt

    Zitat Zitat von Haxy123 Beitrag anzeigen
    Ich habe versucht es mit requirejs einzubinden aber ohne Erfolg - die gleiche Fehlermeldung ;-(
    requirejs ist für clientseitiges js im browser gedacht. das ersetzt nicht require in nodejs.

    Zitat Zitat von Haxy123 Beitrag anzeigen
    Warum wird ein npm Package angeboten, welches nicht funktioniert?
    ist das deine frage?

Ähnliche Themen

  1. btr. google
    Von es_tragon im Forum Smalltalk
    Antworten: 3
    Letzter Beitrag: 11-11-2007, 17:19
  2. google ist out
    Von bine im Forum Fun
    Antworten: 1
    Letzter Beitrag: 10-11-2006, 22:25
  3. Antworten: 0
    Letzter Beitrag: 02-09-2005, 07:07
  4. google map
    Von .holger im Forum Smalltalk
    Antworten: 9
    Letzter Beitrag: 24-06-2005, 13:17
  5. Google
    Von dkdenz im Forum Fun
    Antworten: 7
    Letzter Beitrag: 20-12-2004, 18:42

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •